Subject: Re: bug#76653: 31.0.50; tooltip-delay not honored when tooltip-mode is disabled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Mar 2025 16:14:35 +0200

> From: Dani Moncayo <[email-masked]>
> Date: Sat, 1 Mar 2025 13:06:17 +0100
> Cc: [email-masked]
> 
> On Sat, Mar 1, 2025 at 12:29 PM Eli Zaretskii <[email-masked]> wrote:
> >
> > Thanks.  Indeed, the current code ignores the delays on text-only
> > terminals.  Does the patch below give good results?
> 
> Unless I'm doing something wrong (which is quite possible), your patch
> isn't working here.
> 
> I've applied the patch, built Emacs, and repeated the original recipe
> -- I see the same behavior as before (the help text appears in the
> echo area immediately).

Please describe what you did, in all the details.

Please also enlarge the value of tooltip-delay to something like 3
sec, to make sure you can reliably distinguish between the delay and
the "immediate" display.  And be sure you understand the effect of
tooltip-recent-seconds on the tool-tip delay display.